// exampleplayer.h: Beispielspieler für Asteroids
// Matthias Fuchs
// Original: Harald Bögeholz / c't
#ifndef ExamplePlayerH
#define ExamplePlayerH

#include "interfaceplayer.h"

class ExamplePlayer : public InterfacePlayer
{
public:
	virtual void Prepare(const GameStatus& gamestate);
	virtual void MakeTurn(GameStatus& gamestate, KeysPacket &turn);
	virtual void Abort(const GameStatus& gamestate);
	virtual void GameOver(const GameStatus& gamestate);
	virtual const char* GetName(void) const;
	virtual const char* GetToken(void) const;
	virtual const ExtGameStatus* GetExtGameStatus(void) const;
};

#endif
